# DirectoryBuildCache

API Documentation: | `DirectoryBuildCache`

Configuration object for the local directory build cache.

### Properties

Property | Description
`directory` | The directory to use to store the build cache.
`enabled` | Whether the build cache is enabled.
`push` | Whether a given build can store outputs in the build cache.
`removeUnusedEntriesAfterDays` | The number of days after unused entries are garbage collected. Defaults to 7 days.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `Object` `directory`

The directory to use to store the build cache.

#### `boolean` `enabled`

Whether the build cache is enabled.

#### `boolean` `push`

Whether a given build can store outputs in the build cache.

#### `int` `removeUnusedEntriesAfterDays`

The number of days after unused entries are garbage collected. Defaults to 7 days.